libapache2-mod-jk_1.2.46-1_amd64.deb


Advertisement

Description

libapache2-mod-jk - Apache 2 connector for the Tomcat Java servlet engine

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libapache2-mod-jk_1.2.46-1_amd64.deb
Package name libapache2-mod-jk
Package version 1.2.46
Package release 1
Package architecture amd64
Package type deb
Category httpd role::shared-lib suite::apache
Homepage http://tomcat.apache.org
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 165.64 KB
Installed size 468.00 KB

Alternatives

Package Version Architecture Repository
libapache2-mod-jk_1.2.46-1_i386.deb 1.2.46 i386 Debian Main
libapache2-mod-jk - - -

Requires

Name Value
apache2-api-20120211 -
apache2-bin >= 2.4.16
libc6 >= 2.14

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libapache2-mod-jk_1.2.46-1_amd64.deb
Source Package libapache-mod-jk

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libapache2-mod-jk deb package:
    # sudo apt-get install libapache2-mod-jk

Files

Path
/etc/apache2/mods-available/httpd-jk.conf
/etc/apache2/mods-available/jk.load
/etc/libapache2-mod-jk/httpd-jk.conf
/etc/libapache2-mod-jk/workers.properties
/usr/lib/apache2/modules/mod_jk.so
/usr/share/doc/libapache2-mod-jk/README.Debian
/usr/share/doc/libapache2-mod-jk/changelog.Debian.gz
/usr/share/doc/libapache2-mod-jk/copyright

Changelog

2018-10-14 - Markus Koschany <apo@debian.org>
libapache-mod-jk (1:1.2.46-1) unstable; urgency=medium
* New upstream version 1.2.46.
* Update debian/watch, import upstream signing key and verify tarballs.
2018-10-06 - Markus Koschany <apo@debian.org>
libapache-mod-jk (1:1.2.44-3) unstable; urgency=medium
* Remove conf/httpd-jk.conf from debian/clean to fix a FTBFS when building
binary-arch target.
2018-10-03 - Markus Koschany <apo@debian.org>
libapache-mod-jk (1:1.2.44-2) unstable; urgency=medium
* Fix broken httpd-jk symlink.
Thanks to Andreas Beckmann for the report. (Closes: #910160)
2018-10-01 - Markus Koschany <apo@debian.org>
libapache-mod-jk (1:1.2.44-1) unstable; urgency=medium
* New upstream version 1.2.44.
* Declare compliance with Debian Policy 4.2.1.
* Remove Damien Raude-Morvan from Uploaders. Add myself to Uploaders.
(Closes: #889461)
* Suggest alternative tomcat9 package.
* Drop obsolete libapache2-mod-jk.NEWS.
* Install new httpd-jk.conf file which follows Apache 2.4 syntax.
(Closes: #786635)
2018-03-12 - Emmanuel Bourg <ebourg@apache.org>
libapache-mod-jk (1:1.2.43-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Refreshed the patches
* Standards-Version updated to 4.1.3
* Switch to debhelper level 11
2016-10-08 - Markus Koschany <apo@debian.org>
libapache-mod-jk (1:1.2.42-1) unstable; urgency=medium
* Team upload.
* New upstream version 1.2.42.
* Switch to compat level 10.
* Remvove virtual package dh-apache2 from Build-Depends.
* Declare compliance with Debian Policy 3.9.8.
* Remove autotools-dev because we use compat 10 now.
* Move the package to Git.
2015-10-30 - Markus Koschany <apo@debian.org>
libapache-mod-jk (1:1.2.41-1) unstable; urgency=medium
* Team upload.
* Imported Upstream version 1.2.41.
* Drop README.source. We use regular upstream releases again.
* Update get-orig-source target. Use --verbose and --download-current-version
flags.
* Drop disable-libtool-check.patch. Not required for normal releases.
* Vcs-Browser: Use https.
* Remove autoconf and automake from Build-Depends again.
* Run wrap-and-sort -sa.
* Add clean file and ensure libapache-mod-jk can be built twice in a row.
* debian/rules: Remove override for dh_auto_clean.
* Update debian/copyright for new release.
2015-05-21 - Markus Koschany <apo@gambaru.de>
libapache-mod-jk (1:1.2.40+svn150520-1) unstable; urgency=high
* Team upload.
* Imported Upstream SVN snapshot version 1.2.40+svn150520.
- Fix CVE-2014-8111: (Closes: #783233)
Apache Tomcat Connectors (mod_jk) ignored JkUnmount rules for subtrees of
previous JkMount rules, which allows remote attackers to access otherwise
restricted artifacts via unspecified vectors.
* debian/control: Build-Depend on debhelper >= 9.
* Remove source.lintian-overrides since we now build-depend on debhelper >=9.
* Drop 0004-corrupted-worker-activation-status.patch. Fixed upstream.
* debian/rules:
- Disable sed command in debian/rules. Apparently not necessary for this
release.
- Run buildconf.sh before dh_auto_configure step since this is a requirement
for building SVN snapshots.
- Update dh_auto_clean override. Ensure that the package can be built twice
in a row.
* debian/control:
- Add autoconf to Build-Depends.
- Add automake to Build-Depends.
- Remove Conflicts and Replaces fields because they are obsolete.
* Add disable-libtool-check.patch and fix a FTBFS. We already build-depend on
libtool but the script is not smart enough.
* Add fix-privacy-breach.patch and fix lintian errors about "privacy breach
logo".
* Update debian/copyright information. Add missing BSD-3-clause license.
* Add README.source.
2014-11-17 - Emmanuel Bourg <ebourg@apache.org>
libapache-mod-jk (1:1.2.37-4) unstable; urgency=medium
* Team upload.
* Switched to tomcat8 (Closes: #759624)
* Standards-Version updated to 3.9.6 (no changes)

See Also

Package Description
libapache2-mod-ldap-userdir_1.1.19-2.1_amd64.deb Apache module that provides UserDir lookups via LDAP
libapache2-mod-lisp_1.3.1-1.3_amd64.deb An Apache2 module that interfaces with Lisp environments
libapache2-mod-log-slow_1.0.8-3_amd64.deb Apache module for logging of slow requests handling
libapache2-mod-log-sql-dbi_1.100-16.3+b1_amd64.deb Use SQL to store/write your Apache queries logs - DBI interface
libapache2-mod-log-sql-mysql_1.100-16.3+b1_amd64.deb Use SQL to store/write your Apache queries logs - MySQL interface
libapache2-mod-log-sql-ssl_1.100-16.3+b1_amd64.deb Use SQL to store/write your Apache queries logs - SSL extension
libapache2-mod-log-sql_1.100-16.3+b1_amd64.deb Use SQL to store/write your Apache queries logs - Base
libapache2-mod-lookup-identity_1.0.0-1_amd64.deb Apache module to retrieve additional information about the authenticated user
libapache2-mod-mapcache_1.6.1-3_amd64.deb tile caching server - Apache module
libapache2-mod-md_2.4.38-3_amd64.deb transitional package
libapache2-mod-mime-xattr_0.4-6_amd64.deb Apache2 module to get MIME info from filesystem extended attributes
libapache2-mod-mono_3.8-3_amd64.deb Apache module for running ASP.NET applications on Mono
libapache2-mod-musicindex_1.4.1-3_amd64.deb Browse, stream, download and search through MP3/Ogg/FLAC files
libapache2-mod-neko_2.2.0-2+b12_amd64.deb Apache module for running server-side Neko programs
libapache2-mod-netcgi-apache_4.1.2-3+b1_amd64.deb OCaml application-level Internet libraries - netcgi2 Apache2 connector
Advertisement
Advertisement